Hi I am trying to upgrade from 10.4.11 to 10.5.4. Keep getting a message saying that I cannot to it on my computer and can't go further in the start up. Are my specs wrong for this upgrade? Is there anything I can do to fix this?

Thanks for your help!